# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntuuitoolkit import UbuntuUIToolkitCustomProxyObjectBase


class BrowserWindow(UbuntuUIToolkitCustomProxyObjectBase):
    """ Autopilot helper for the webapp Browser Window """

    def get_webapp_view(self):
        return self.select_single(WebApp, objectName='webappBrowserView')


class WebApp(UbuntuUIToolkitCustomProxyObjectBase):
    """ Autopilot helper for the webapp view """

    def get_coords(self):
        return self.globalRect
